clear; close all; clc;
fig1=figure('position',[1 1 1440 800]);
num=conv([1/1000 1],[1/10 1]); 
den=conv([1/10000 1],[1 1]);
H=tf(num,den);
Omega=logspace(-1,5,10000);
Homega=freqs(num,den,Omega);
semilogx(Omega,20*log10(abs(Homega)),'k','linewidth',3)
grid
axis([1e-1 1e5 -22 2])
xlabel('\Omega in rad/s')
ylabel('|H(j\Omega)|_{dB}')
hold on
line([1e-1 1e0],[0     0],'Color','r','LineStyle','--','linewidth',2);
line([1e0  1e1],[0   -20],'Color','r','LineStyle','--','linewidth',2);
line([1e1  1e3],[-20 -20],'Color','r','LineStyle','--','linewidth',2);
line([1e3  1e4],[-20   0],'Color','r','LineStyle','--','linewidth',2);
line([1e4  1e5],[0     0],'Color','r','LineStyle','--','linewidth',2);
line([1e-1 1e4],[-3   -3],'Color','k','LineStyle',':','linewidth',3);
line([1e-1 1e3],[-17 -17],'Color','k','LineStyle',':','linewidth',3);
line([1     1],[0     -3],'Color','k','LineStyle',':','linewidth',3);
line([1e1 1e1],[-17  -20],'Color','k','LineStyle',':','linewidth',3);
line([1e3 1e3],[-17  -20],'Color','k','LineStyle',':','linewidth',3);
line([1e4 1e4],[-3    -0],'Color','k','LineStyle',':','linewidth',3);
text(1.05*1e-1,-2.5,'\approx -3dB')
text(1.05*1e-1,-16.5,'\approx -17dB')
text(1.05*1e-1,0.5,'Asymptote 0dB per decade','Color','r')
text(1e4,0.5,'Asymptote 0dB per decade','Color','r')
text(3*1e1,-20.6,'Asymptote 0dB per decade','Color','r')
text(1.6*1e0,-4,' \leftarrow Asymptote -20dB per decade','Color','r')
text(1.3*1e3,-17.8,' \leftarrow Asymptote +20dB per decade','Color','r')
title('Bode Magnitude Plot (in dB) for H(s)')