clear; close all; clc;
fig1=figure('position',[1 1 1440 800]);
num=conv([1/1000 1],[1/10 1]); 
den=conv([1/10000 1],[1 1]);
H=tf(num,den);
Omega=logspace(-1,5,10000);
Homega=freqs(num,den,Omega);
semilogx(Omega,180*angle(Homega)/pi,'k','linewidth',3)
grid
axis([1e-1 1e5 -100 100])
xlabel('\Omega in rad/s')
ylabel('Phase of H(j\Omega) in degrees')
hold on
line([1e-1 1e3],[0     0],'Color','r','LineStyle','--','linewidth',2);
line([1e0  1e2],[0    90],'Color','r','LineStyle','--','linewidth',2);
line([1e2  1e5],[90   90],'Color','r','LineStyle','--','linewidth',2);
line([1e2  1e4],[0    90],'Color','r','LineStyle','--','linewidth',2);
line([1e3  1e5],[0   -90],'Color','r','LineStyle','--','linewidth',2);
line([1e-1 1e1],[0   -90],'Color','r','LineStyle','--','linewidth',2);
line([1e1  1e5],[-90 -90],'Color','r','LineStyle','--','linewidth',2);
line([1e-1 1e0],[0   -45],'Color','k','LineStyle',':','linewidth',4);
line([1e0  1e1],[-45 -45],'Color','k','LineStyle',':','linewidth',4);
line([1e1  1e3],[-45  45],'Color','k','LineStyle',':','linewidth',4);
line([1e3  1e4],[ 45  45],'Color','k','LineStyle',':','linewidth',4);
line([1e4  1e5],[ 45   0],'Color','k','LineStyle',':','linewidth',4);
text(2.5*1e1,-30,' \leftarrow Asymptotic sketch','Color','k')
text(5*1e0,-53,' \leftarrow Real phase','Color','k')
title('Bode Phase Plot (in degrees) for H(s)')
