clear; close all; clc;
L=1; C=1; R=0.2:0.2:1.2;
t=0:0.1:50;
num=1; den=[L*C R(1)*C 1];
H=tf(num,den);
h=impulse(H,t);
Omega=0:0.01:5;
Homega=freqs(num,den,Omega); 
fig1=figure('position',[1 1 1440 800]);
subplot(2,2,1)
plot(t,h,'k','linewidth',2)
grid
xlabel('t (in seconds)')
ylabel('h(t)')
hold on
subplot(2,2,2)
%pzmap(H,'k')
w=0:0.01:2*pi;
plot(real(exp(j*w)),imag(exp(j*w)),'--k')
axis([-1.5 1.5 -1.2 1.2])
axis equal
hold on
grid
xlabel('Real Part')
ylabel('Imaginary Part')
line([-1.2 1.2],[0 0],'Color','k','linewidth',2);
line([1.15 1.2],[0.02 0],'Color','k','linewidth',2);
line([1.15 1.2],[-0.02 0],'Color','k','linewidth',2);
line([0 0],[-1.1 1.1],'Color','k','linewidth',2);
line([0.02  0],[1.05 1.1],'Color','k','linewidth',2);
line([-0.02 0],[1.05 1.1],'Color','k','linewidth',2);
text(1.08,0.15,'\sigma')
text(0.08,1.12,'j\Omega')
thepoles=roots(den);
sigma1=real(thepoles(1));
Omega1=imag(thepoles(1));
sigma2=real(thepoles(2));
Omega2=imag(thepoles(2));
line([sigma1-0.05 sigma1+0.05],[Omega1-0.05 Omega1+0.05],'Color','k','linewidth',2);
line([sigma1-0.05 sigma1+0.05],[Omega1+0.05 Omega1-0.05],'Color','k','linewidth',2);
line([sigma2-0.05 sigma2+0.05],[Omega2-0.05 Omega2+0.05],'Color','k','linewidth',2);
line([sigma2-0.05 sigma2+0.05],[Omega2+0.05 Omega2-0.05],'Color','k','linewidth',2);
subplot(2,2,3)
plot(Omega,20*log10(abs(Homega)),'k','linewidth',2)
xlabel('\Omega (in rad/s)')
ylabel('|H(j\Omega)|_{dB}')
grid
hold on
subplot(2,2,4)
plot(Omega,angle(Homega)/pi,'k','linewidth',2)
xlabel('\Omega (in rad/s)')
ylabel('Phase of H(j\Omega) normalized by \pi')
grid
hold on
nrvalues=length(R);
for value=1:nrvalues
    den=[L*C R(value)*C 1];
    H=tf(num,den);
    h=impulse(H,t);
    subplot(2,2,1)
    plot(t,h,'k')
    subplot(2,2,2)
    thepoles=roots(den);
    sigma1=real(thepoles(1)); 
    Omega1=imag(thepoles(1));
    sigma2=real(thepoles(2));
    Omega2=imag(thepoles(2));
    line([sigma1-0.05 sigma1+0.05],[Omega1-0.05 Omega1+0.05],'Color','k','linewidth',1);
    line([sigma1-0.05 sigma1+0.05],[Omega1+0.05 Omega1-0.05],'Color','k','linewidth',1);
    line([sigma2-0.05 sigma2+0.05],[Omega2-0.05 Omega2+0.05],'Color','k','linewidth',1);
    line([sigma2-0.05 sigma2+0.05],[Omega2+0.05 Omega2-0.05],'Color','k','linewidth',1);
    subplot(2,2,3)
    Omega=0:0.01:5;
    Homega=freqs(num,den,Omega); 
    plot(Omega,20*log10(abs(Homega)),'k')
    subplot(2,2,4)
    plot(Omega,angle(Homega)/pi,'k')
end




